@charset "utf-8";


/* TOPスライド */

.top_slider {
	height: 53vw;
	margin-inline: auto;
	overflow: hidden;
	/* 画像がはみ出ないようにする */
	width: 80vw;
}

.mainImgWrapper img {
	width: 100%;
	height: 100vh;
	height: 100svh;
	object-fit: cover;
}

@keyframes zoomUp {
	0% {
		transform: scale(1);
	}

	100% {
		transform: scale(1.15);
		/* 拡大率 */
	}
}

.add-animation {
	animation: zoomUp 20s linear 0s normal both;
}


.mainWrap {
	height: 100%;
	display: flex;
}

#sidebar {
	height: 100%;
	margin-top: 0;
	background: url(/images/global/bg_grange.webp) no-repeat;
	background-size: cover;
	color: #fff;
	width: 17%;
	pointer-events: none;

	h1,
	#menubar_hdr {
		pointer-events: auto;
	}

	#sidebarWrap {
		width: 100%;
		padding: 15%;
		margin: auto;
		height: 100%;
		position: relative;

		#mainnav {
			height: 100%;
		}

		.menu_wrap {
			margin-top: 30%;
		}

		h1 {
			text-align: center;
		}

		li {
			margin-bottom: 10px;
			pointer-events: auto;

			a {
				color: #fff;
				line-height: 1;

				span {
					display: block;
				}
			}
		}

		ul.sns {
			text-align: center;
			margin-top: 20%;

			li {
				margin-bottom: 0;

			}

		}
	}
}


.main_scroll {
	position: absolute;
	bottom: -13%;
	margin: auto;
	left: 50%;
	transform: translate(-50%, -50%);

	.scroll-text {
		display: block;
		position: relative;
		width: 100%;
		color: #fff;
		font-size: 1rem;
	}

	.scroll-border {
		position: relative;
		top: 20px;
		width: 100%;
		height: 100px;
		overflow: hidden;
	}

	.scroll-border::before {
		content: "";
		display: block;
		position: absolute;
		width: 1px;
		height: 40px;
		top: 0;
		left: 0;
		right: 0;
		background: #fff;
		animation: scrollbar 1.5s ease-in-out infinite;
		margin: auto;
	}
}

@keyframes scrollbar {
	0% {
		height: 0;
		top: 0;
	}

	30% {
		height: 100%;
	}

	100% {
		top: 100%;
	}
}


#mainslideWrap {
	width: 83%;
	height: 100%;
	position: relative;

	&:after {
		content: "";
		width: 100%;
		height: 100%;
		position: absolute;
		top: 0;
		left: 0;
		background-color: rgba(0, 0, 0, 0.2);
		z-index: 1;

	}
}


.mainImgtxt {
	color: #fff;
	height: 90%;
	width: 90%;
	clip-path: polygon(20% 0, 100% 0, 100% 85%, 85% 100%, 0 100%, 0 20%);
	border: 1px solid #fff;
	position: absolute;
	margin: auto;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	padding: 10%;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	z-index: 2;

	.mainImg_title {
		font-size: 4.5rem;
		padding: 0;
		line-height: 1.2;
		font-weight: 100;
		letter-spacing: .1em;

		span {
			display: block;
			line-height: 1;
			font-size: 1.7rem;
			letter-spacing: .02em;
		}
	}

	aside {
		font-size: 1.2rem;
		font-family: "PT Sans", sans-serif;
	}

}

#sec_service {
	margin-top: 100px;
}

#sec_sns {
	text-align: center;

	#insta_name {
		background: #efeee7;
		font-size: 1.5rem;
		font-weight: bold;
	}
}

#sec_footerbg {
	background-image: url(../images/top/sec_footerbg.webp);
	background-size: cover;
	background-position: center;


	.bg_inner {
		align-content: center;
	}

	.inner {
		width: 80%;
		margin: auto;
		text-align: center;
		color: #fff;
	}

}




/* 820px以下 */
@media screen and (max-width: 820px) {

	#mainslideWrap {
		width: 70%;
	}

	#sidebar {
		width: 30%;
	}

	header nav ul a {
		font-size: 1.6rem;
	}
}




/* 768px以下 */
@media screen and (max-width: 768px) {

	#sidebar {
		display: none;
	}

	#mainslideWrap {
		width: 100%;

		.mainImgtxt {
			padding: 40% 10%;

			.mainImg_title {
				font-size: 3rem;
			}
		}

	}
	#sec_about {
	margin-top: 30px;
}

	#sec_service {
		.txt_box.left {
			padding: 4% 4% 30% 17% !important;
		}
	}


	.sec_bg {
		height: 300px;
	}

}

/* インスタフィード外部ボタン削除 */
.es-widget-branding.es-widget-branding-slider {
	display: none !important;
}